Index: tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/CA.java	(revision 327)
@@ -107,7 +107,7 @@
 	public CA(ILexicalTable table) throws StatException {
 		
 		if (!rw.containsVariable(table.getSymbol())) {
-			throw new StatException(CACoreMessages.ERROR_0);
+			throw new StatException(CACoreMessages.error_lexicalTableNotFoundInWorkspace);
 		}
 
 		loadLibrary();
@@ -117,7 +117,7 @@
 			rw.callFunctionAndAffect(
 					"ca", new String[] { table.getSymbol() }, symbol); //$NON-NLS-1$
 		} catch (RWorkspaceException e) {
-			throw new StatException(CACoreMessages.ERROR_2 + e.getMessage(), e);
+			throw new StatException(CACoreMessages.error_errorWhileComputingCA + e.getMessage(), e);
 		}
 	}
 
@@ -217,7 +217,7 @@
 				coldist = RWorkspace.toDouble(sv);
 				// Arrays.sort(coldist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return coldist;
@@ -237,7 +237,7 @@
 				colinertia = RWorkspace.toDouble(sv);
 				// Arrays.sort(colinertia);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return colinertia;
@@ -257,7 +257,7 @@
 				colmass = RWorkspace.toDouble(sv);
 				// Arrays.sort(colmass);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return colmass;
@@ -361,7 +361,7 @@
 				rowdist = RWorkspace.toDouble(sv);
 				// Arrays.sort(rowdist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return rowdist;
@@ -381,7 +381,7 @@
 				rowinertia = RWorkspace.toDouble(sv);
 				// Arrays.sort(rowinertia);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return rowinertia;
@@ -401,7 +401,7 @@
 				rowmass = RWorkspace.toDouble(sv);
 				// Arrays.sort(rowmass);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return rowmass;
@@ -421,7 +421,7 @@
 				singularValues = RWorkspace.toDouble(sv);
 				// Arrays.sort(singularValues);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return singularValues;
@@ -460,7 +460,7 @@
 		try {
 			rw.voidEval("library(ca)"); //$NON-NLS-1$
 		} catch (RWorkspaceException e) {
-			System.out.println(CACoreMessages.ERROR_1 + e);
+			System.out.println(CACoreMessages.error_canNotLoadCALibrary + e);
 			return false;
 		}
 		return true;
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/statsengine/r/functions/FactoMineRCA.java	(revision 327)
@@ -106,7 +106,7 @@
 	public FactoMineRCA(ILexicalTable table) throws StatException {
 
 		if (!rw.containsVariable(table.getSymbol())) {
-			throw new StatException(CACoreMessages.ERROR_0);
+			throw new StatException(CACoreMessages.error_lexicalTableNotFoundInWorkspace);
 		}
 
 		loadLibrary();
@@ -116,7 +116,7 @@
 			//rw.callFunctionAndAffect("FactoMineR:CA", new String[] { table.getSymbol() }, symbol); //$NON-NLS-1$
 			rw.eval(symbol+" <- FactoMineR::CA("+table.getSymbol()+", graph=FALSE)"); //$NON-NLS-1$ //$NON-NLS-2$
 		} catch (RWorkspaceException e) {
-			throw new StatException(CACoreMessages.ERROR_2 + e.getMessage(), e);
+			throw new StatException(CACoreMessages.error_errorWhileComputingCA + e.getMessage(), e);
 		}
 	}
 
@@ -131,7 +131,7 @@
 				colcontrib = sv.asDoubleMatrix();
 				// Arrays.sort(rowdist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.FactoMineRCA_2 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_failedToGetContributionColumn + e.getMessage(), e);
 			} catch (REXPMismatchException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
@@ -151,7 +151,7 @@
 				colcos2 = sv.asDoubleMatrix();
 				// Arrays.sort(rowdist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.FactoMineRCA_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_failedToGetCos2Column + e.getMessage(), e);
 			} catch (REXPMismatchException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
@@ -237,7 +237,7 @@
 				colinertia = RWorkspace.toDouble(sv);
 				// Arrays.sort(colinertia);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return colinertia;
@@ -257,7 +257,7 @@
 				colmass = RWorkspace.toDouble(sv);
 				// Arrays.sort(colmass);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return colmass;
@@ -278,7 +278,7 @@
 						rowcontrib[i][j] = rowcontrib[i][j] / 100.0; 
 				// Arrays.sort(rowdist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.FactoMineRCA_4 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_failedToGetConstributionRow + e.getMessage(), e);
 			} catch (REXPMismatchException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
@@ -298,7 +298,7 @@
 				rowcos2 = sv.asDoubleMatrix();
 				// Arrays.sort(rowdist);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.FactoMineRCA_5 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_failedToGetCos2Row + e.getMessage(), e);
 			} catch (REXPMismatchException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
@@ -370,7 +370,7 @@
 				rowinertia = RWorkspace.toDouble(sv);
 				// Arrays.sort(rowinertia);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return rowinertia;
@@ -390,7 +390,7 @@
 				rowmass = RWorkspace.toDouble(sv);
 				// Arrays.sort(rowmass);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return rowmass;
@@ -438,7 +438,7 @@
 					valeursPropres = Arrays.copyOfRange(valeursPropres, 0, valeursPropres.length -1);
 				// Arrays.sort(singularValues);
 			} catch (RWorkspaceException e) {
-				throw new StatException(CACoreMessages.ERROR_3 + e.getMessage(), e);
+				throw new StatException(CACoreMessages.error_unableToExtractSingularValues + e.getMessage(), e);
 			}
 		}
 		return valeursPropres;
@@ -453,7 +453,7 @@
 		try {
 			rw.voidEval("library(FactoMineR)"); //$NON-NLS-1$
 		} catch (RWorkspaceException e) {
-			System.out.println(CACoreMessages.ERROR_1+ e);
+			System.out.println(CACoreMessages.error_canNotLoadCALibrary+ e);
 			return false;
 		}
 		return true;
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages.properties	(revision 327)
@@ -1,40 +1,49 @@
 
-CHARTS_ERROR_CANT_CREATE_CA_FILE_CHART         = Can't create CA chart file (charts engine: {0})
-CHARTS_ERROR_CANT_CREATE_SINGULAR_VALUES_CHART = Can't create bar chart of the CA singular values
-CHARTS_FACTORIAL_MAP_AXIS_LABEL_PREFIX         = Axis
-CHARTS_FACTORIAL_MAP_LEGEND_COLUMNS_LABEL      = Columns
-CHARTS_FACTORIAL_MAP_LEGEND_ROWS_LABEL         = Rows
-CHARTS_FACTORIAL_MAP_TITLE                     = Correspondence analysis factorial map\nof the {0} partition in the {1} corpus
-CHARTS_FACTORIAL_MAP_TOOLTIP_COLS_LABEL        = t
-CHARTS_FACTORIAL_MAP_TOOLTIP_COORDINATES       = Coordinates
-CHARTS_FACTORIAL_MAP_TOOLTIP_ROWS_LABEL        = Frequency
-CHARTS_SINGULAR_VALUES_TITLE                   = Eigenvalues
-CHARTS_SINGULAR_VALUES_TOOLTIP_PERCENT         = %
-CHARTS_SINGULAR_VALUES_TOOLTIP_SUM             = ∑
-CHARTS_SINGULAR_VALUES_TOOLTIP_Y_LABEL         = Eigenvalue
-CHARTS_SINGULAR_VALUES_X_AXIS_LABEL            = Axis
-CHARTS_SINGULAR_VALUES_X_LABELS_PREFIX         = 
-CHARTS_SINGULAR_VALUES_Y_AXIS_LABEL            = Eigenvalue
+c1 = c1
 
-ColumnLabel_C1   = c1
-ColumnLabel_C2   = c2
-ColumnLabel_C3   = c3
-ColumnLabel_COLS = Cols
-ColumnLabel_CONT = Cont
-ColumnLabel_COS2 = Cos²
-ColumnLabel_DIST = Dist
-ColumnLabel_MASS = Mass
-ColumnLabel_Q12  = Q12
-ColumnLabel_Q13  = Q13
-ColumnLabel_Q23  = Q23
-ColumnLabel_ROWS = Rows
+c2 = c2
 
-ERROR_0 = ** The lexical table was not found in the R workspace.
-ERROR_1 = ** Cannot load the 'ca' library
-ERROR_2 = ** Error while computing correspondence analysis: 
-ERROR_3 = ** Unable to extract singular values
+c3 = c3
 
-FactoMineRCA_2 = ** Fail to get contrib column: 
-FactoMineRCA_3 = ** Fail to get cos² column: 
-FactoMineRCA_4 = ** Fail to get contrib row: 
-FactoMineRCA_5 = ** Fail to get cos² row: 
+charts_error_factorialMap_cantCreateCAChartFile           = Can't create CA chart file (charts engine: {0})
+charts_error_singularValues_cantCreateSingularValuesChart = Can't create bar chart of the CA singular values
+charts_factorialMap_axisLabelPrefix                       = Axis
+charts_factorialMap_legendColumnsLabel                    = Columns
+charts_factorialMap_legendRowsLabel                       = Rows
+charts_factorialMap_title                                 = Correspondence analysis factorial map\nof the {0} partition in the {1} corpus
+charts_factorialMap_tooltipColsLabel                      = t
+charts_factorialMap_tooltipCoordinates                    = Coordinates
+charts_factorialMap_tooltipRowsLabel                      = Frequency
+charts_singularValues_title                               = Eigenvalues
+charts_singularValues_tooltipPercent                      = %
+charts_singularValues_tooltipSum                          = ∑
+charts_singularValues_tooltipYLabel                       = Eigenvalue
+charts_singularValues_xAxisLabel                          = Axis
+charts_singularValues_yAxisLabel                          = Eigenvalue
+
+cols = Cols
+
+cont = Cont
+
+cos2 = Cos²
+
+dist = Dist
+
+error_canNotLoadCALibrary             = ** Cannot load the 'ca' library
+error_errorWhileComputingCA           = ** Error while computing correspondence analysis: 
+error_failedToGetConstributionRow     = ** Failed to get contribution row: 
+error_failedToGetContributionColumn   = ** Failed to get contribution column: 
+error_failedToGetCos2Column           = ** Failed to get cos² column: 
+error_failedToGetCos2Row              = ** Failed to get cos² row: 
+error_lexicalTableNotFoundInWorkspace = ** The lexical table was not found in the R workspace.
+error_unableToExtractSingularValues   = ** Unable to extract singular values
+
+mass = Mass
+
+q12 = Q12
+
+q13 = Q13
+
+q23 = Q23
+
+rows = Rows
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 327)
@@ -7,49 +7,49 @@
 
 	private static final String BUNDLE_NAME = "org.txm.ca.core.messages.messages"; //$NON-NLS-1$
 
+	public static String charts_error_factorialMap_cantCreateCAChartFile;
 	
-	public static String CHARTS_ERROR_CANT_CREATE_CA_FILE_CHART;
+	public static String charts_error_singularValues_cantCreateSingularValuesChart;
 	
-	public static String CHARTS_FACTORIAL_MAP_TITLE;
-	public static String CHARTS_FACTORIAL_MAP_LEGEND_COLUMNS_LABEL;
-	public static String CHARTS_FACTORIAL_MAP_LEGEND_ROWS_LABEL;
-	public static String CHARTS_FACTORIAL_MAP_AXIS_LABEL_PREFIX;
-	public static String CHARTS_FACTORIAL_MAP_TOOLTIP_ROWS_LABEL;
-	public static String CHARTS_FACTORIAL_MAP_TOOLTIP_COLS_LABEL;
-	public static String CHARTS_FACTORIAL_MAP_TOOLTIP_COORDINATES;
+	public static String charts_factorialMap_axisLabelPrefix;
+	public static String charts_factorialMap_legendColumnsLabel;
+	public static String charts_factorialMap_legendRowsLabel;
+	public static String charts_factorialMap_title;
+	public static String charts_factorialMap_tooltipColsLabel;
+	public static String charts_factorialMap_tooltipCoordinates;
+	public static String charts_factorialMap_tooltipRowsLabel;
 
-	public static String CHARTS_ERROR_CANT_CREATE_SINGULAR_VALUES_CHART;
-	public static String CHARTS_SINGULAR_VALUES_TITLE;
-	public static String CHARTS_SINGULAR_VALUES_X_AXIS_LABEL;
-	public static String CHARTS_SINGULAR_VALUES_X_LABELS_PREFIX;
-	public static String CHARTS_SINGULAR_VALUES_Y_AXIS_LABEL;
-	public static String CHARTS_SINGULAR_VALUES_TOOLTIP_Y_LABEL;
-	public static String CHARTS_SINGULAR_VALUES_TOOLTIP_PERCENT;
-	public static String CHARTS_SINGULAR_VALUES_TOOLTIP_SUM;
+	public static String charts_singularValues_title;
+	public static String charts_singularValues_tooltipPercent;
+	public static String charts_singularValues_tooltipSum;
+	public static String charts_singularValues_tooltipYLabel;
+	public static String charts_singularValues_xAxisLabel;
+	public static String charts_singularValues_xLabelsPrefix;
+	public static String charts_singularValues_yAxisLabel;
+	
+	public static String c1;
+	public static String c2;
+	public static String c3;
+	public static String cols;
+	public static String cont;
+	public static String cos2;
+	public static String dist;
+	public static String mass;
+	public static String q12;
+	public static String q13;
+	public static String q23;
+	public static String rows;
 
-	public static String ColumnLabel_ROWS;
-	public static String ColumnLabel_COLS;
-	public static String ColumnLabel_Q12;
-	public static String ColumnLabel_Q13;
-	public static String ColumnLabel_Q23;
-	public static String ColumnLabel_MASS;
-	public static String ColumnLabel_DIST;
-	public static String ColumnLabel_CONT;
-	public static String ColumnLabel_COS2;
-	public static String ColumnLabel_C1;
-	public static String ColumnLabel_C2;
-	public static String ColumnLabel_C3;
 	
-	public static String ERROR_0;
-	public static String ERROR_1;
-	public static String ERROR_2;
-	public static String ERROR_3;
+	public static String error_canNotLoadCALibrary;
+	public static String error_errorWhileComputingCA;
+	public static String error_failedToGetConstributionRow;
+	public static String error_failedToGetContributionColumn;
+	public static String error_failedToGetCos2Column;
+	public static String error_failedToGetCos2Row;
+	public static String error_lexicalTableNotFoundInWorkspace;
+	public static String error_unableToExtractSingularValues;
 
-	public static String FactoMineRCA_2;
-	public static String FactoMineRCA_3;
-	public static String FactoMineRCA_4;
-	public static String FactoMineRCA_5;
-
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages_fr.properties	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/messages_fr.properties	(revision 327)
@@ -1,39 +1,49 @@
 
-CHARTS_ERROR_CANT_CREATE_CA_FILE_CHART         = Impossible de créer le fichier du graphique du plan factoriel de l'AFC (moteur de production de graphiques: {0})
-CHARTS_ERROR_CANT_CREATE_SINGULAR_VALUES_CHART = Impossible de créer l'histogramme des valeurs propres de l'AFC
-CHARTS_FACTORIAL_MAP_AXIS_LABEL_PREFIX         = Axe
-CHARTS_FACTORIAL_MAP_LEGEND_COLUMNS_LABEL      = Colonnes
-CHARTS_FACTORIAL_MAP_LEGEND_ROWS_LABEL         = Lignes
-CHARTS_FACTORIAL_MAP_TITLE                     = Plan factoriel de l'analyse des correspondances\nsur la partition {0} du corpus {1}
-CHARTS_FACTORIAL_MAP_TOOLTIP_COLS_LABEL        = t
-CHARTS_FACTORIAL_MAP_TOOLTIP_COORDINATES       = Coordonnées
-CHARTS_FACTORIAL_MAP_TOOLTIP_ROWS_LABEL        = Fréquence
-CHARTS_SINGULAR_VALUES_TITLE                   = Valeurs propres
-CHARTS_SINGULAR_VALUES_TOOLTIP_PERCENT         = %
-CHARTS_SINGULAR_VALUES_TOOLTIP_SUM             = ∑
-CHARTS_SINGULAR_VALUES_TOOLTIP_Y_LABEL         = Valeur propre
-CHARTS_SINGULAR_VALUES_X_AXIS_LABEL            = Axe
-CHARTS_SINGULAR_VALUES_Y_AXIS_LABEL            = Valeur propre
+c1 = c1
 
-ColumnLabel_C1   = c1
-ColumnLabel_C2   = c2
-ColumnLabel_C3   = c3
-ColumnLabel_COLS = Colonnes
-ColumnLabel_CONT = Cont
-ColumnLabel_COS2 = Cos²
-ColumnLabel_DIST = Dist
-ColumnLabel_MASS = Mass
-ColumnLabel_Q12  = Q12
-ColumnLabel_Q13  = Q13
-ColumnLabel_Q23  = Q23
-ColumnLabel_ROWS = Lignes
+c2 = c2
 
-ERROR_0 = ** La table lexicale n'a pas été trouvée dans l'espace de travail R.
-ERROR_1 = ** Impossible de charger la librairie 'ca'
-ERROR_2 = ** Erreur lors du calcul de l'analyse factorielle des correspondances : 
-ERROR_3 = ** Impossible d'extraire les valeurs propres 
+c3 = c3
 
-FactoMineRCA_2 = ** Echec d'accès à la colonne des contributions : 
-FactoMineRCA_3 = ** Echec d'accès à la colonne des cos² : 
-FactoMineRCA_4 = ** Echec d'accès à la ligne des contributions : 
-FactoMineRCA_5 = ** Echec d'accès à la ligne des cos² : 
+charts_error_factorialMap_cantCreateCAChartFile           = Impossible de créer le fichier du graphique du plan factoriel de l'AFC (moteur de production de graphiques: {0})
+charts_error_singularValues_cantCreateSingularValuesChart = Impossible de créer l'histogramme des valeurs propres de l'AFC
+charts_factorialMap_axisLabelPrefix                       = Axe
+charts_factorialMap_legendColumnsLabel                    = Colonnes
+charts_factorialMap_legendRowsLabel                       = Lignes
+charts_factorialMap_title                                 = Plan factoriel de l'analyse des correspondances\nsur la partition {0} du corpus {1}
+charts_factorialMap_tooltipColsLabel                      = t
+charts_factorialMap_tooltipCoordinates                    = Coordonnées
+charts_factorialMap_tooltipRowsLabel                      = Fréquence
+charts_singularValues_title                               = Valeurs propres
+charts_singularValues_tooltipPercent                      = %
+charts_singularValues_tooltipSum                          = ∑
+charts_singularValues_tooltipYLabel                       = Valeur propre
+charts_singularValues_xAxisLabel                          = Axe
+charts_singularValues_yAxisLabel                          = Valeur propre
+
+cols = Colonnes
+
+cont = Cont
+
+cos2 = Cos²
+
+dist = Dist
+
+error_canNotLoadCALibrary             = ** Impossible de charger la librairie 'ca'
+error_errorWhileComputingCA           = ** Erreur lors du calcul de l'analyse factorielle des correspondances : 
+error_failedToGetConstributionRow     = ** Echec d'accès à la ligne des contributions : 
+error_failedToGetContributionColumn   = ** Echec d'accès à la colonne des contributions : 
+error_failedToGetCos2Column           = ** Echec d'accès à la colonne des cos² : 
+error_failedToGetCos2Row              = ** Echec d'accès à la ligne des cos² : 
+error_lexicalTableNotFoundInWorkspace = ** La table lexicale n'a pas été trouvée dans l'espace de travail R.
+error_unableToExtractSingularValues   = ** Impossible d'extraire les valeurs propres 
+
+mass = Mass
+
+q12 = Q12
+
+q13 = Q13
+
+q23 = Q23
+
+rows = Lignes
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 327)
@@ -415,23 +415,23 @@
 	{
 		if (coltitles == null) {
 			List<String> colnames = new ArrayList<String>();
-			colnames.add(CACoreMessages.ColumnLabel_COLS); // entry
+			colnames.add(CACoreMessages.cols); // entry
 			colnames.add(" "); //$NON-NLS-1$
-			colnames.add(CACoreMessages.ColumnLabel_Q12); // Q12
-			colnames.add(CACoreMessages.ColumnLabel_Q13); // Q13
-			colnames.add(CACoreMessages.ColumnLabel_Q23); // Q23
-			colnames.add(CACoreMessages.ColumnLabel_MASS); // Mass
-			colnames.add(CACoreMessages.ColumnLabel_DIST); // Dist
+			colnames.add(CACoreMessages.q12); // Q12
+			colnames.add(CACoreMessages.q13); // Q13
+			colnames.add(CACoreMessages.q23); // Q23
+			colnames.add(CACoreMessages.mass); // Mass
+			colnames.add(CACoreMessages.dist); // Dist
 			for (int c = 0; c < 3; c++)// seulement les 3 premiers axes
 			{
 				colnames.add(" "); // separator //$NON-NLS-1$
-				colnames.add(CACoreMessages.ColumnLabel_CONT+ (c + 1)); // ContribN
-				colnames.add(CACoreMessages.ColumnLabel_COS2+ (c + 1)); // Cos²N
+				colnames.add(CACoreMessages.cont+ (c + 1)); // ContribN
+				colnames.add(CACoreMessages.cos2+ (c + 1)); // Cos²N
 			}
 			colnames.add(" "); // separator //$NON-NLS-1$
-			colnames.add(CACoreMessages.ColumnLabel_C1); // coord axis 1
-			colnames.add(CACoreMessages.ColumnLabel_C2); // coord axis 2
-			colnames.add(CACoreMessages.ColumnLabel_C3); // coord axis 3
+			colnames.add(CACoreMessages.c1); // coord axis 1
+			colnames.add(CACoreMessages.c2); // coord axis 2
+			colnames.add(CACoreMessages.c3); // coord axis 3
 			colnames.add(""); //$NON-NLS-1$
 
 			coltitles = colnames.toArray(new String[] {});
@@ -615,23 +615,23 @@
 	public String[] getRowInfosTitles() {
 		if (rowtitles == null) {
 			List<String> colnames = new ArrayList<String>();
-			colnames.add(CACoreMessages.ColumnLabel_ROWS); // entry
+			colnames.add(CACoreMessages.rows); // entry
 			colnames.add(" "); //$NON-NLS-1$
-			colnames.add(CACoreMessages.ColumnLabel_Q12); // Q12
-			colnames.add(CACoreMessages.ColumnLabel_Q13); // Q13
-			colnames.add(CACoreMessages.ColumnLabel_Q23); // Q23
-			colnames.add(CACoreMessages.ColumnLabel_MASS); // Mass
-			colnames.add(CACoreMessages.ColumnLabel_DIST); // Dist
+			colnames.add(CACoreMessages.q12); // Q12
+			colnames.add(CACoreMessages.q13); // Q13
+			colnames.add(CACoreMessages.q23); // Q23
+			colnames.add(CACoreMessages.mass); // Mass
+			colnames.add(CACoreMessages.dist); // Dist
 			for (int c = 0; c < 3; c++)// seulement les 3 premiers axes
 			{
 				colnames.add(" "); // separator //$NON-NLS-1$
-				colnames.add(CACoreMessages.ColumnLabel_CONT+ (c + 1)); // ContribN
-				colnames.add(CACoreMessages.ColumnLabel_COS2+ (c + 1)); // Cos²N
+				colnames.add(CACoreMessages.cont+ (c + 1)); // ContribN
+				colnames.add(CACoreMessages.cos2+ (c + 1)); // Cos²N
 			}
 			colnames.add(" "); // separator //$NON-NLS-1$
-			colnames.add(CACoreMessages.ColumnLabel_C1); // coord axis 1
-			colnames.add(CACoreMessages.ColumnLabel_C2); // coord axis 2
-			colnames.add(CACoreMessages.ColumnLabel_C3); // coord axis 3
+			colnames.add(CACoreMessages.c1); // coord axis 1
+			colnames.add(CACoreMessages.c2); // coord axis 2
+			colnames.add(CACoreMessages.c3); // coord axis 3
 			colnames.add(""); //$NON-NLS-1$
 
 			rowtitles = colnames.toArray(new String[] {});
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 327)
@@ -40,7 +40,7 @@
 			corpusName = ca.getCorpus().getSimpleName();
 		}
 
-		return ChartsEngineCoreMessages.bind(CACoreMessages.CHARTS_FACTORIAL_MAP_TITLE, partitionName, corpusName);
+		return ChartsEngineCoreMessages.bind(CACoreMessages.charts_factorialMap_title, partitionName, corpusName);
 	}
 
 	/**
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCSingularValueChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCSingularValueChartCreator.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCSingularValueChartCreator.java	(revision 327)
@@ -42,11 +42,11 @@
 			double[] singularValues = ca.getValeursPropres();
 
 			for(int i = 0; i < singularValues.length; i++) {
-				dataset.setValue(singularValues[i], CACoreMessages.CHARTS_SINGULAR_VALUES_TOOLTIP_Y_LABEL, CACoreMessages.CHARTS_SINGULAR_VALUES_X_LABELS_PREFIX + String.valueOf(i + 1));
+				dataset.setValue(singularValues[i], CACoreMessages.charts_singularValues_tooltipYLabel, CACoreMessages.charts_singularValues_xLabelsPrefix + String.valueOf(i + 1));
 			}
 
 			// Create the chart
-			chart = this.getChartsEngine().createCategoryBarChart(dataset, CACoreMessages.CHARTS_SINGULAR_VALUES_TITLE, CACoreMessages.CHARTS_SINGULAR_VALUES_X_AXIS_LABEL, CACoreMessages.CHARTS_SINGULAR_VALUES_Y_AXIS_LABEL, false, false, false);
+			chart = this.getChartsEngine().createCategoryBarChart(dataset, CACoreMessages.charts_singularValues_title, CACoreMessages.charts_singularValues_xAxisLabel, CACoreMessages.charts_singularValues_yAxisLabel, false, false, false);
 
 			// Custom renderer
 			chart.getCategoryPlot().setRenderer(new CASingularValuesItemSelectionRenderer(ca));
@@ -57,7 +57,7 @@
 
 		}
 		catch(StatException e) {
-			Log.severe(CACoreMessages.CHARTS_ERROR_CANT_CREATE_SINGULAR_VALUES_CHART + e);
+			Log.severe(CACoreMessages.charts_error_singularValues_cantCreateSingularValuesChart + e);
 		}
 
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 327)
@@ -343,8 +343,8 @@
 		 try {
 			 double sinuglarValuesSum = ca.getValeursPropresSum();
 			 DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
-			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(CACoreMessages.CHARTS_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
-			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(CACoreMessages.CHARTS_FACTORIAL_MAP_AXIS_LABEL_PREFIX + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
+			 ((JFreeChart) chart).getXYPlot().getDomainAxis().setLabel(CACoreMessages.charts_factorialMap_axisLabelPrefix + " " + dimension1 + " (" + f.format(100 * ca.getValeursPropres()[dimension1 - 1] / sinuglarValuesSum) + "%)");
+			 ((JFreeChart) chart).getXYPlot().getRangeAxis().setLabel(CACoreMessages.charts_factorialMap_axisLabelPrefix + " " + dimension2 + " (" + f.format(100 * ca.getValeursPropres()[dimension2 - 1] / sinuglarValuesSum) + "%)");
 
 			 // Refresh data set
 			 // FIXME : any way to fire a data set event rather than reassign the same data set?
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/CASingularValuesItemSelectionRenderer.java	(revision 327)
@@ -64,12 +64,12 @@
 				List<List<Object>> singularValuesData = ca.getSingularValuesInfos();
 
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p>#" + catDataset.getColumnKey(column) + "</p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS
+						+ "<p><span style=\"color: " + hex + ";\">" + catDataset.getRowKey(row) + ChartsEngineCoreMessages.charts_labelValueSeparator
 							+ " </span><b>" + valuesNumberFormat.format(value) + "</b></p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.CHARTS_SINGULAR_VALUES_TOOLTIP_PERCENT + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS
+						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipPercent + ChartsEngineCoreMessages.charts_labelValueSeparator
 							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(2)) + "</b></p>"
-						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.CHARTS_SINGULAR_VALUES_TOOLTIP_SUM + CACoreMessages.CHARTS_SINGULAR_VALUES_TOOLTIP_PERCENT
-							+ ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS
+						+ "<p><span style=\"color: " + hex + ";\">" + CACoreMessages.charts_singularValues_tooltipSum + CACoreMessages.charts_singularValues_tooltipPercent
+							+ ChartsEngineCoreMessages.charts_labelValueSeparator
 							+ " </span><b>" + percentValuesNumberFormat.format(singularValuesData.get(column).get(3)) + "</b></p>"
 						+ "</body><html>";
 			}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/FCAItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/FCAItemSelectionRenderer.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/renderers/FCAItemSelectionRenderer.java	(revision 327)
@@ -73,8 +73,8 @@
 
 				FCAXYDataset caDataset = (FCAXYDataset) dataset;
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
-						+ CACoreMessages.CHARTS_FACTORIAL_MAP_TOOLTIP_ROWS_LABEL + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-				+ "<p>" +  CACoreMessages.CHARTS_FACTORIAL_MAP_TOOLTIP_COORDINATES + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
+						+ CACoreMessages.charts_factorialMap_tooltipRowsLabel + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
+				+ "<p>" +  CACoreMessages.charts_factorialMap_tooltipCoordinates + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
 			}
 		});
 
@@ -96,8 +96,8 @@
 				// FIXME: to disable tool tip we can return null here or in other renderers generateToolTip methods
 //				return null;
 				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p style=\"color: " + hex + "\"><b>" + caDataset.getLabel(series, item) + "</b></p><p>"
-					+ CACoreMessages.CHARTS_FACTORIAL_MAP_TOOLTIP_COLS_LABEL + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
-				+ "<p>" + CACoreMessages.CHARTS_FACTORIAL_MAP_TOOLTIP_COORDINATES + ChartsEngineCoreMessages.CHARTS_LABEL_VALUE_SEPARATORS + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
+					+ CACoreMessages.charts_factorialMap_tooltipColsLabel + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>" + caDataset.getFrequency(series, item).replace("-", "") + "</b></p>"
+				+ "<p>" + CACoreMessages.charts_factorialMap_tooltipCoordinates + ChartsEngineCoreMessages.charts_labelValueSeparator + " <b>[" + format.format(caDataset.getX(series, item)) + ":" + format.format(caDataset.getY(series, item)) + "]</b></p></body><html>";
 			}
 		});
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/FCAXYDataset.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/FCAXYDataset.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/FCAXYDataset.java	(revision 327)
@@ -245,11 +245,11 @@
 	public Comparable getSeriesKey(int series) {
 		// Rows
 		if(series == 0) {
-			return CACoreMessages.CHARTS_FACTORIAL_MAP_LEGEND_ROWS_LABEL;
+			return CACoreMessages.charts_factorialMap_legendRowsLabel;
 		}
 		// Cols
 		else {
-			return CACoreMessages.CHARTS_FACTORIAL_MAP_LEGEND_COLUMNS_LABEL;
+			return CACoreMessages.charts_factorialMap_legendColumnsLabel;
 		}
 	}
 
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 327)
@@ -73,7 +73,7 @@
 			
 		}
 		catch(Exception e) {
-			Log.severe(CACoreMessages.bind(CACoreMessages.CHARTS_ERROR_CANT_CREATE_CA_FILE_CHART + " - FactoMineR package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(CACoreMessages.bind(CACoreMessages.charts_error_factorialMap_cantCreateCAChartFile + " - FactoMineR package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return destFile;
@@ -116,7 +116,7 @@
 			this.getChartsEngine().plot(destFile, cmd);
 		}
 		catch(Exception e) {
-			Log.severe(CACoreMessages.bind(CACoreMessages.CHARTS_ERROR_CANT_CREATE_CA_FILE_CHART + " - CA package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(CACoreMessages.bind(CACoreMessages.charts_error_factorialMap_cantCreateCAChartFile + " - CA package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
 		}
 
 		return destFile;
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java	(revision 326)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java	(revision 327)
@@ -66,15 +66,15 @@
 			if(i > 0)	 {
 				xLabels.append(", "); //$NON-NLS-1$
 			}
-			xLabels.append("\"" + CACoreMessages.CHARTS_SINGULAR_VALUES_X_LABELS_PREFIX + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
+			xLabels.append("\"" + CACoreMessages.charts_singularValues_xLabelsPrefix + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		xLabels.append(")"); //$NON-NLS-1$
 
 		String cmd = "tmpY <- " + ca.getSymbol() + "$eig$eigenvalue[1:length(" + ca.getSymbol() + "$eig$eigenvalue) - 1];\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		cmd += "barplot(tmpY, main=\"" //$NON-NLS-1$
-				+ CACoreMessages.CHARTS_SINGULAR_VALUES_TITLE + "\", ylab=\"" + //$NON-NLS-1$
-				CACoreMessages.CHARTS_SINGULAR_VALUES_Y_AXIS_LABEL + "\", xlab=\"" + //$NON-NLS-1$
-				CACoreMessages.CHARTS_SINGULAR_VALUES_X_AXIS_LABEL + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
+				+ CACoreMessages.charts_singularValues_title + "\", ylab=\"" + //$NON-NLS-1$
+				CACoreMessages.charts_singularValues_yAxisLabel + "\", xlab=\"" + //$NON-NLS-1$
+				CACoreMessages.charts_singularValues_xAxisLabel + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
 
 		this.getChartsEngine().plot(file, cmd);
 
